#ifndef PT6955_h
#define PT6955_h

#if defined(ARDUINO) && ARDUINO >= 100
#include "Arduino.h"
#else
#include "WProgram.h"
#endif

#include "Arduino.h"   

class PT6955 {
public:
    PT6955();
    void init(int mode);
    void Pulse_w(int new_mode);
    void writedigit1(int newNum);
    void writedigit2(int newNum);
    void writedigit3(int newNum);
    void writedigit4(int newNum);
    void updateLED();
    void clearLED();
    void clearMatrix();
	void clearMatrix2();
    void printdigit(int Num);
    void updateLED2();
    void writecolLED1();
    void writecolLED2();
    void writecolLED3();
    void writecolLED4();
    void writecolrew();
    void writecolrec();
    void writecolvcr();
    void writecolmin();
    void writecolon();
    void writeam();
    void writetimer();
private:
    int pulse_mode;
    byte LEDMatrix [8];
    byte LEDMatrix2 [8];
	byte LEDMatrix2_old [8];
    void writedigit1_0();
    void writedigit1_1();
    void writedigit1_2();
    void writedigit1_3();
    void writedigit1_4();
    void writedigit1_5();
    void writedigit1_6();
    void writedigit1_7();
    void writedigit1_8();
    void writedigit1_9();
    void writedigit2_0();
    void writedigit2_1();
    void writedigit2_2();
    void writedigit2_3();
    void writedigit2_4();
    void writedigit2_5();
    void writedigit2_6();
    void writedigit2_7();
    void writedigit2_8();
    void writedigit2_9();
    void writedigit3_0();
    void writedigit3_1();
    void writedigit3_2();
    void writedigit3_3();
    void writedigit3_4();
    void writedigit3_5();
    void writedigit3_6();
    void writedigit3_7();
    void writedigit3_8();
    void writedigit3_9();
    void writedigit4_0();
    void writedigit4_1();
    void writedigit4_2();
    void writedigit4_3();
    void writedigit4_4();
    void writedigit4_5();
    void writedigit4_6();
    void writedigit4_7();
    void writedigit4_8();
    void writedigit4_9();
};

#endif